InflaterInputStream
Date: 2016-06-24

java.util.zip

## Class InflaterInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.util.zip.InflaterInputStream

- Direct Known Subclasses:
    GZIPInputStream, ZipInputStream

      public class InflaterInputStream
      extends FilterInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected Inflater` | `inf`
    `protected int` | `len`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InflaterInputStream(InputStream var0)`
    `InflaterInputStream(InputStream var0, Inflater var1)`
    `InflaterInputStream(InputStream var0, Inflater var1, int var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fill()`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### inf

          protected Inflater inf

    - #### len

          protected int len

  - ### Constructor Detail

    - #### InflaterInputStream

          public InflaterInputStream(InputStream var0)

    - #### InflaterInputStream

          public InflaterInputStream(InputStream var0,
                             Inflater var1)

    - #### InflaterInputStream

          public InflaterInputStream(InputStream var0,
                             Inflater var1,
                             int var2)

  - ### Method Detail

    - #### fill

          protected void fill()
                       throws IOException

      Throws:
        `IOException`